WinBase.FILE_DISPOSITION_INFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinBase, class: FILE_DISPOSITION_INFO

Package com.sun.jna.platform.win32

# Class WinBase.FILE_DISPOSITION_INFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinBase.FILE_DISPOSITION_INFO

Direct Known Subclasses:
  `WinBase.FILE_DISPOSITION_INFO.ByReference`

Enclosing interface:
  WinBase

@FieldOrder("DeleteFile") public static class WinBase.FILE_DISPOSITION_INFO extends Structure
Indicates whether a file should be deleted. Used for any handles. Use only when calling SetFileInformationByHandle.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinBase.FILE_DISPOSITION_INFO.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `DeleteFile`
  Indicates whether the file should be deleted.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FILE_DISPOSITION_INFO()`
  `FILE_DISPOSITION_INFO(boolean DeleteFile)`
  `FILE_DISPOSITION_INFO(Pointer memory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `sizeOf()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DeleteFile

    public boolean DeleteFile
    Indicates whether the file should be deleted. Set to TRUE to delete the file. This member has no effect if the handle was opened with FILE_FLAG_DELETE_ON_CLOSE.

- ## Constructor Details

  - ### FILE_DISPOSITION_INFO

    public FILE_DISPOSITION_INFO()

  - ### FILE_DISPOSITION_INFO

    public FILE_DISPOSITION_INFO(Pointer memory)

  - ### FILE_DISPOSITION_INFO

    public FILE_DISPOSITION_INFO(boolean DeleteFile)

- ## Method Details

  - ### sizeOf

    public static int sizeOf()